This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 699336 - Review Request: askbot - Question and Answer forum
Review Request: askbot - Question and Answer forum
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: pjp
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Askbot
:
Depends On: 716808 716844
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-25 03:52 EDT by Rahul Sundaram
Modified: 2011-07-29 05:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-29 05:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pj.pandit: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2011-04-25 03:52:59 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/askbot.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/askbot-0.6.76-1.fc15.src.rpm
Description: 
Question and Answer forum written in python and Django. It is similar to 
Stack Overflow or Yahoo Answers. 

Features:

   * standard Q&A functionalities including votes, reputation system, etc.
   * user levels: admin, moderator, regular, suspended, blocked
   * per-user inbox for responses & flagged items (for moderators)
   * email alerts - instant and delayed, optionally tag filtered
   * search by full text and a set of tags simultaneously
   * can import data from stackexchange database file
Comment 1 Rahul Sundaram 2011-04-25 07:41:37 EDT
Fix all rpmlint warnings. New upstream release

http://sundaram.fedorapeople.org/packages/askbot.spec
http://sundaram.fedorapeople.org/packages/askbot-0.6.78-1.fc15.src.rpm
Comment 2 Rahul Sundaram 2011-06-26 05:22:18 EDT
New upstream release.  Bunch of bogus rpmlint errors and warnings due to css files etc

http://sundaram.fedorapeople.org/packages/askbot.spec
http://sundaram.fedorapeople.org/packages/askbot-0.7.1-1.fc15.src.rpm
Comment 3 Rahul Sundaram 2011-06-26 21:27:49 EDT
I am aware this package has bundled dependencies.  Working with upstream on cleaning this up as much as possible. 

http://askbot.org/en/question/484/status-of-bundled-dependencies
Comment 4 Rahul Sundaram 2011-07-14 06:00:35 EDT
Split out a couple of previously bundled dependencies and updated to the latest upstream release

http://sundaram.fedorapeople.org/packages/askbot.spec
http://sundaram.fedorapeople.org/packages/askbot-0.7.7-1.fc15.src.rpm
Comment 5 pjp 2011-07-16 16:15:26 EDT
[X] Package name - ok.
[X] Package group - ok.
[X] License - ok.
[X] Build successful - ok.

[X] rpmlint SRPMS/askbot-0.7.7-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] rpmlint RPMS/noarch/askbot-0.7.7-1.fc14.noarch.rpm 
askbot.noarch: E: explicit-lib-dependency python-html5lib
askbot.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/askbot/bin/show_profile_stats.py python
askbot.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/askbot/bin/show_profile_stats.py 0644L python
askbot.noarch: W: file-not-utf8 /usr/share/doc/askbot-0.7.7/doc/askbot-docs.zip
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/bin/rmpyc
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/jquery-openid/jquery.openid.js
askbot.noarch: W: hidden-file-or-dir /usr/share/doc/askbot-0.7.7/doc/build/html/.buildinfo
askbot.noarch: E: zero-length /usr/lib/python2.7/site-packages/askbot/version.py
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/views/README
askbot.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/askbot/cron/askbot_cron_job 0644L /bin/sh
askbot.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/askbot/setup_templates/manage.py 0644L /usr/bin/env
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/js/wmd/wmd.css
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/style/openid.css
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/js/wmd/showdown-min.js
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/js/wmd/showdown.js
askbot.noarch: E: zero-length /usr/lib/python2.7/site-packages/askbot/setup_templates/log/askbot.log
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/js/wmd/wmd-test.html
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/jquery-openid/openid.css
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/style/style.css
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/setup_templates/upfiles/README
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/style/prettify.css
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/js/compress.bat
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/js/flot-build.bat
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/README
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/js/wmd/wmd.js
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/style/auth.css
askbot.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/askbot/utils/diff.py 0644L /usr/bin/python2.2
askbot.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/askbot/skins/default/media/js/wmd/wmd-min.js
askbot.noarch: E: zero-length /usr/lib/python2.7/site-packages/askbot/deps/livesettings/locale/es/LC_MESSAGES/django.po
askbot.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/askbot/bin/generate_modules.py 0644L /usr/bin/env
askbot.noarch: W: no-manual-page-for-binary startforum
1 packages and 0 specfiles checked; 28 errors, 3 warnings.

  -...so many errors?

[X] Install/Un-install - fails.

# rpm -ivh askbot-0.7.7-1.fc14.noarch.rpm
error: Failed dependencies:
	Django-south is needed by askbot-0.7.7-1.fc14.noarch
	django-celery is needed by askbot-0.7.7-1.fc14.noarch
	django-countries is needed by askbot-0.7.7-1.fc14.noarch
	django-keyedcache is needed by askbot-0.7.7-1.fc14.noarch
	django-kombu is needed by askbot-0.7.7-1.fc14.noarch
	django-recaptcha is needed by askbot-0.7.7-1.fc14.noarch
	django-robots is needed by askbot-0.7.7-1.fc14.noarch
	python-coffin is needed by askbot-0.7.7-1.fc14.noarch
	python-grapefruit is needed by askbot-0.7.7-1.fc14.noarch
	python-html5lib is needed by askbot-0.7.7-1.fc14.noarch
	python-markdown2 is needed by askbot-0.7.7-1.fc14.noarch
	python-oauth is needed by askbot-0.7.7-1.fc14.noarch
	python-openid is needed by askbot-0.7.7-1.fc14.noarch
Comment 6 Rahul Sundaram 2011-07-16 16:56:00 EDT
js and css files are giving false warnings/errors and those are all ignorable and I don't intend to branch dependencies for Fedora 14.  Only Rawhide Fedora 15 and EPEL 6
Comment 7 pjp 2011-07-17 09:10:17 EDT
Ah ok. I think most of the required modules are already packaged, approved and on their way to the F15, Rawhide & EL6 repositories.
Comment 8 pjp 2011-07-17 09:11:04 EDT
Approved.
Comment 9 Rahul Sundaram 2011-07-17 17:54:05 EDT
Thanks. I will update to the latest version, fix all the valid warnings and errors and import. 

New Package SCM Request
=======================
Package Name: askbot
Short Description: Question and Answer forum
Owners: sundaram pjp
Branches: f15 el6
InitialCC:
Comment 10 Gwyn Ciesla 2011-07-17 22:53:26 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.